Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 20 Jun 2021 10:41:50 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I had placed an order on 14th June , worth BHD 62.3.  Order number is 7469763241.  Its been 6 days already and there is no news about it.  Call center just tells me that it will be delivered as soon as possible. 

I have to travel in the coming week so if I receive it afterwards it is of no good to me.

Kindly expedite the process so I can receive my parcel.

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2734226